#!/bin/sh

if [ ! -f /application/symfony.lock ]; then
  exit 1
fi

echo "  == Detected Symfony project"
cd /application

echo "  -> Installing dependencies using composer..."
/usr/bin/composer install --no-dev --no-cache --optimize-autoloader --no-progress -q || exit 0

if [ -f /application/.symfony-init ]; then
    echo "  -> Running container-provided .symfony-init script"
    sh /application/.symfony-init
fi

echo "  -> Testing environment..."
if bin/console &>/dev/null; then
    echo "  ++ Successful"
else
    echo "  !! Failed"
fi

exit 0
